/*
 * @Author: cclu
 * @Date: 2022-04-28 10:47:35
 * @LastEditors: cclu 1106109051@qq.com
 * @LastEditTime: 2024-11-08 17:37:00
 * @FilePath: \cloud-platform\src\pages\basicManage\BusinessTrade\service.ts
 * @Description: 经营业态相关接口
 */
import { tableList, wrapTreeNode } from '@/utils/format';
import request from '@/utils/request';


export async function handleDelete(params: any) {
  return request(`/BaseInfo/DeleteBrand`, {
    method: 'GET',
    params: params,
  });
}

export async function handleAddUpdate(params: any) {
  return request(`/BaseInfo/SynchroBrand`, {
    method: 'POST',
    data: params,
  });
}

// 获取品牌表列表
export async function handleGetBrandList(params?: any) {
  const data = await request(`/BaseInfo/GetBrandList`, {
    method: 'POST',
    data: params,
  });

  if (data.Result_Code !== 100) {
    return {
      data: [],
      current: 1,
      pageSize: 10,
      total: 0,
      success: false
    }
  }

  return data.Result_Data.List
}